Mailrelay API Reference

Lists campaigns

GET https://{account}/api/v1/campaigns

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Lists campaigns.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 100.

Parameters

NameTypeRequiredDescription
page integer No Page number
per_page integer No Number of records per page
q[id_eq] integer No Search: ID equals
q[id_gteq] integer No Search: ID greater than or equal to
q[id_lteq] integer No Search: ID less than or equal to
q[subject_eq] string No Search: Subject equals
q[subject_cont] string No Search: Subject contains
q[sender_id_eq] integer No Search: Sender equals
q[sender_id_gteq] integer No Search: Sender greater than or equal to
q[sender_id_lteq] integer No Search: Sender less than or equal to
q[campaign_folder_id_eq] integer No Search: Campaign folder equals
q[campaign_folder_id_gteq] integer No Search: Campaign folder greater than or equal to
q[campaign_folder_id_lteq] integer No Search: Campaign folder less than or equal to
q[segment_id_eq] integer No Search: Segment id. This is required if target is set to segment equals
q[segment_id_gteq] integer No Search: Segment id. This is required if target is set to segment greater than or equal to
q[segment_id_lteq] integer No Search: Segment id. This is required if target is set to segment less than or equal to
q[html_eq] string No Search: HTML equals
q[html_cont] string No Search: HTML contains
q[target_eq] string No Search: Allows you to specify to whom this campaign will be sent equals
q[target_cont] string No Search: Allows you to specify to whom this campaign will be sent contains
q[created_at_eq] string No Search: Created at equals
q[created_at_gteq] string No Search: Created at greater than or equal to
q[created_at_lteq] string No Search: Created at less than or equal to
q[updated_at_eq] string No Search: Updated at equals
q[updated_at_gteq] string No Search: Updated at greater than or equal to
q[updated_at_lteq] string No Search: Updated at less than or equal to
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
subject string Subject
sender_id integer Sender
reply_to string Reply-To email
campaign_folder_id integer Campaign folder
target string Allows you to specify to whom this campaign will be sent
segment_id integer Segment id. This is required if target is set to segment
group_ids array Groups IDs. This is required if target is set to groups. It should be an array of group ids. Example: [1, 4, 5]
preview_text string Preview text
html string HTML
editor_type string The type of editor being used for the campaign: html, mr ( our new block editor) or simple ( a legacy block editor ). Campaigns created in API automatically use "html" editor. Please note that it's not possible to update the html content of a campaign that uses a block editor.
url_token boolean Add legacy tokens to URLs
analytics_utm_campaign string Google Analytics™ campaign
use_premailer boolean Apply common fixes for email clients
track_opens boolean Track opens
track_clicks boolean Track clicks

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.